Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -372,103 +437,128 @@
            JpgFromRawLength          SubIFD     int32u*
            JpgFromRawLength          IFD2       int32u*
-           OtherImageLength          -          N
-  0x0203   JPEGRestartInterval       -          N
-  0x0205   JPEGLosslessPredictors    -          N
-  0x0206   JPEGPointTransforms       -          N
-  0x0207   JPEGQTables               -          N
-  0x0208   JPEGDCTables              -          N
-  0x0209   JPEGACTables              -          N
+           OtherImageLength          SubIFD1    int32u*
+           OtherImageLength          SubIFD2    int32u*
+           OtherImageLength          -          no
+  0x0203   JPEGRestartInterval       -          no
+  0x0205   JPEGLosslessPredictors    -          no
+  0x0206   JPEGPointTransforms       -          no
+  0x0207   JPEGQTables               -          no
+  0x0208   JPEGDCTables              -          no
+  0x0209   JPEGACTables              -          no
   0x0211   YCbCrCoefficients         IFD0       rational64u[3]!
   0x0212   YCbCrSubSampling          IFD0       int16u[2]!
   0x0213   YCbCrPositioning          IFD0       int16u!:
   0x0214   ReferenceBlackWhite       IFD0       rational64u[6]
-  0x022f   StripRowCounts            -          N
-  0x02bc   ApplicationNotes          ExifIFD    XMP
-  0x03e7   USPTOMiscellaneous        -          N
+  0x022f   StripRowCounts            -          no
+  0x02bc   ApplicationNotes          IFD0       XMP
+  0x03e7   USPTOMiscellaneous        -          no
   0x1000   RelatedImageFileFormat    InteropIFD string!
   0x1001   RelatedImageWidth         InteropIFD int16u!
   0x1002   RelatedImageHeight        InteropIFD int16u!
   0x4746   Rating                    IFD0       int16u/
-  0x4747   XP_DIP_XML                -          N
+  0x4747   XP_DIP_XML                -          no
   0x4748   StitchInfo                -          Microsoft Stitch
   0x4749   RatingPercent             IFD0       int16u/
-  0x800d   ImageID                   -          N
-  0x80a3   WangTag1                  -          N
-  0x80a4   WangAnnotation            -          N
-  0x80a5   WangTag3                  -          N
-  0x80a6   WangTag4                  -          N
-  0x80e3   Matteing                  -          N
-  0x80e4   DataType                  -          N
-  0x80e5   ImageDepth                -          N
-  0x80e6   TileDepth                 -          N
-  0x827d   Model2                    -          N
-  0x828d   CFARepeatPatternDim       -          N
-  0x828e   CFAPattern2               -          N
-  0x828f   BatteryLevel              -          N
+  0x7000   SonyRawFileType           -          no
+  0x7010   SonyToneCurve             -          no
+  0x7031   VignettingCorrection      SubIFD     int16s!
+  0x7032   VignettingCorrParams      SubIFD     int16s[17]!
+  0x7034   ChromaticAberrationCorrection SubIFD int16s!
+  0x7035   ChromaticAberrationCorrParams SubIFD int16s[33]!
+  0x7036   DistortionCorrection      SubIFD     int16s!
+  0x7037   DistortionCorrParams      SubIFD     int16s[17]!
+  0x74c7   SonyCropTopLeft           SubIFD     int32u[2]!
+  0x74c8   SonyCropSize              SubIFD     int32u[2]!
+  0x800d   ImageID                   -          no
+  0x80a3   WangTag1                  -          no
+  0x80a4   WangAnnotation            -          no
+  0x80a5   WangTag3                  -          no
+  0x80a6   WangTag4                  -          no
+  0x80b9   ImageReferencePoints      -          no
+  0x80ba   RegionXformTackPoint      -          no
+  0x80bb   WarpQuadrilateral         -          no
+  0x80bc   AffineTransformMat        -          no
+  0x80e3   Matteing                  -          no
+  0x80e4   DataType                  -          no
+  0x80e5   ImageDepth                -          no
+  0x80e6   TileDepth                 -          no
+  0x8214   ImageFullWidth            -          no
+  0x8215   ImageFullHeight           -          no
+  0x8216   TextureFormat             -          no
+  0x8217   WrapModes                 -          no
+  0x8218   FovCot                    -          no
+  0x8219   MatrixWorldToScreen       -          no
+  0x821a   MatrixWorldToCamera       -          no
+  0x827d   Model2                    -          no
+  0x828d   CFARepeatPatternDim       SubIFD     int16u[2]!
+  0x828e   CFAPattern2               SubIFD     int8u[n]!
+  0x828f   BatteryLevel              -          no
   0x8290   KodakIFD                  -          Kodak IFD
   0x8298   Copyright                 IFD0       string
   0x829a   ExposureTime              ExifIFD    rational64u
   0x829d   FNumber                   ExifIFD    rational64u
-  0x82a5   MDFileTag                 -          N
-  0x82a6   MDScalePixel              -          N
-  0x82a7   MDColorTable              -          N
-  0x82a8   MDLabName                 -          N
-  0x82a9   MDSampleInfo              -          N
-  0x82aa   MDPrepDate                -          N
-  0x82ab   MDPrepTime                -          N
-  0x82ac   MDFileUnits               -          N
-  0x830e   PixelScale                -          N
-  0x8335   AdventScale               -          N
-  0x8336   AdventRevision            -          N
-  0x835c   UIC1Tag                   -          N
-  0x835d   UIC2Tag                   -          N
-  0x835e   UIC3Tag                   -          N
-  0x835f   UIC4Tag                   -          N
+  0x82a5   MDFileTag                 -          no
+  0x82a6   MDScalePixel              -          no
+  0x82a7   MDColorTable              -          no
+  0x82a8   MDLabName                 -          no
+  0x82a9   MDSampleInfo              -          no
+  0x82aa   MDPrepDate                -          no
+  0x82ab   MDPrepTime                -          no
+  0x82ac   MDFileUnits               -          no
+  0x830e   PixelScale                IFD0       double[3]
+  0x8335   AdventScale               -          no
+  0x8336   AdventRevision            -          no
+  0x835c   UIC1Tag                   -          no
+  0x835d   UIC2Tag                   -          no
+  0x835e   UIC3Tag                   -          no
+  0x835f   UIC4Tag                   -          no
   0x83bb   IPTC-NAA                  IFD0       IPTC
-  0x847e   IntergraphPacketData      -          N
-  0x847f   IntergraphFlagRegisters   -          N
-  0x8480   IntergraphMatrix          -          N
-  0x8481   INGRReserved              -          N
-  0x8482   ModelTiePoint             -          N
-  0x84e0   Site                      -          N
-  0x84e1   ColorSequence             -          N
-  0x84e2   IT8Header                 -          N
-  0x84e3   RasterPadding             -          N
-  0x84e4   BitsPerRunLength          -          N
-  0x84e5   BitsPerExtendedRunLength  -          N
-  0x84e6   ColorTable                -          N
-  0x84e7   ImageColorIndicator       -          N
-  0x84e8   BackgroundColorIndicator  -          N
-  0x84e9   ImageColorValue           -          N
-  0x84ea   BackgroundColorValue      -          N
-  0x84eb   PixelIntensityRange       -          N
-  0x84ec   TransparencyIndicator     -          N
-  0x84ed   ColorCharacterization     -          N
-  0x84ee   HCUsage                   -          N
-  0x84ef   TrapIndicator             -          N
-  0x84f0   CMYKEquivalent            -          N
+  0x847e   IntergraphPacketData      -          no
+  0x847f   IntergraphFlagRegisters   -          no
+  0x8480   IntergraphMatrix          IFD0       double[n]
+  0x8481   INGRReserved              -          no
+  0x8482   ModelTiePoint             IFD0       double[n]
+  0x84e0   Site                      -          no
+  0x84e1   ColorSequence             -          no
+  0x84e2   IT8Header                 -          no
+  0x84e3   RasterPadding             -          no
+  0x84e4   BitsPerRunLength          -          no
+  0x84e5   BitsPerExtendedRunLength  -          no
+  0x84e6   ColorTable                -          no
+  0x84e7   ImageColorIndicator       -          no
+  0x84e8   BackgroundColorIndicator  -          no
+  0x84e9   ImageColorValue           -          no
+  0x84ea   BackgroundColorValue      -          no
+  0x84eb   PixelIntensityRange       -          no
+  0x84ec   TransparencyIndicator     -          no
+  0x84ed   ColorCharacterization     -          no
+  0x84ee   HCUsage                   -          no
+  0x84ef   TrapIndicator             -          no
+  0x84f0   CMYKEquivalent            -          no
   0x8546   SEMInfo                   IFD0       string
   0x8568   AFCP_IPTC                 -          IPTC
-  0x85b8   PixelMagicJBIGOptions     -          N
-  0x85d8   ModelTransform            -          N
-  0x8602   WB_GRGBLevels             -          N
+  0x85b8   PixelMagicJBIGOptions     -          no
+  0x85d7   JPLCartoIFD               -          no
+  0x85d8   ModelTransform            IFD0       double[16]
+  0x8602   WB_GRGBLevels             -          no
   0x8606   LeafData                  -          Leaf
-  0x8649   PhotoshopSettings         -          Photoshop
-  0x8769   ExifOffset                -          EXIF
-  0x8773   ICC_Profile               -          ICC_Profile
-  0x877f   TIFF_FXExtensions         -          N
-  0x8780   MultiProfiles             -          N
-  0x8781   SharedData                -          N
-  0x8782   T88Options                -          N
-  0x87ac   ImageLayer                -          N
-  0x87af   GeoTiffDirectory          -          N
-  0x87b0   GeoTiffDoubleParams       -          N
-  0x87b1   GeoTiffAsciiParams        -          N
+  0x8649   PhotoshopSettings         IFD0       Photoshop
+  0x8769   ExifOffset                IFD0       EXIF
+  0x8773   ICC_Profile               IFD0       ICC_Profile
+  0x877f   TIFF_FXExtensions         -          no
+  0x8780   MultiProfiles             -          no
+  0x8781   SharedData                -          no
+  0x8782   T88Options                -          no
+  0x87ac   ImageLayer                -          no
+  0x87af   GeoTiffDirectory          IFD0       int16u[0.5]
+  0x87b0   GeoTiffDoubleParams       IFD0       double[0.125]
+  0x87b1   GeoTiffAsciiParams        IFD0       string
+  0x87be   JBIGOptions               -          no
   0x8822   ExposureProgram           ExifIFD    int16u
   0x8824   SpectralSensitivity       ExifIFD    string
-  0x8825   GPSInfo                   -          GPS
+  0x8825   GPSInfo                   IFD0       GPS
   0x8827   ISO                       ExifIFD    int16u[n]
-  0x8828   Opto-ElectricConvFactor   -          N
-  0x8829   Interlace                 -          N
+  0x8828   Opto-ElectricConvFactor   -          no
+  0x8829   Interlace                 -          no
   0x882a   TimeZoneOffset            ExifIFD    int16s[n]
   0x882b   SelfTimerMode             ExifIFD    int16u
@@ -479,11 +569,16 @@
   0x8834   ISOSpeedLatitudeyyy       ExifIFD    int32u
   0x8835   ISOSpeedLatitudezzz       ExifIFD    int32u
-  0x885c   FaxRecvParams             -          N
-  0x885d   FaxSubAddress             -          N
-  0x885e   FaxRecvTime               -          N
+  0x885c   FaxRecvParams             -          no
+  0x885d   FaxSubAddress             -          no
+  0x885e   FaxRecvTime               -          no
+  0x8871   FedexEDR                  -          no
   0x888a   LeafSubIFD                -          Leaf SubIFD
   0x9000   ExifVersion               ExifIFD    undef:
   0x9003   DateTimeOriginal          ExifIFD    string
   0x9004   CreateDate                ExifIFD    string
+  0x9009   GooglePlusUploadCode      ExifIFD    undef[n]
+  0x9010   OffsetTime                ExifIFD    string
+  0x9011   OffsetTimeOriginal        ExifIFD    string
+  0x9012   OffsetTimeDigitized       ExifIFD    string
   0x9101   ComponentsConfiguration   ExifIFD    undef[4]!:
   0x9102   CompressedBitsPerPixel    ExifIFD    rational64u!
@@ -498,27 +593,32 @@
   0x9209   Flash                     ExifIFD    int16u
   0x920a   FocalLength               ExifIFD    rational64u
-  0x920b   FlashEnergy               -          N
-  0x920c   SpatialFrequencyResponse  -          N
-  0x920d   Noise                     -          N
-  0x920e   FocalPlaneXResolution     -          N
-  0x920f   FocalPlaneYResolution     -          N
-  0x9210   FocalPlaneResolutionUnit  -          N
+  0x920b   FlashEnergy               -          no
+  0x920c   SpatialFrequencyResponse  -          no
+  0x920d   Noise                     -          no
+  0x920e   FocalPlaneXResolution     -          no
+  0x920f   FocalPlaneYResolution     -          no
+  0x9210   FocalPlaneResolutionUnit  -          no
   0x9211   ImageNumber               ExifIFD    int32u
   0x9212   SecurityClassification    ExifIFD    string
   0x9213   ImageHistory              ExifIFD    string
   0x9214   SubjectArea               ExifIFD    int16u[n]
-  0x9215   ExposureIndex             -          N
-  0x9216   TIFF-EPStandardID         -          N
-  0x9217   SensingMethod             -          N
-  0x923a   CIP3DataFile              -          N
-  0x923b   CIP3Sheet                 -          N
-  0x923c   CIP3Side                  -          N
-  0x923f   StoNits                   -          N
-  0x927c   MakerNoteCanon            ExifIFD    Canon
+  0x9215   ExposureIndex             -          no
+  0x9216   TIFF-EPStandardID         -          no
+  0x9217   SensingMethod             -          no
+  0x923a   CIP3DataFile              -          no
+  0x923b   CIP3Sheet                 -          no
+  0x923c   CIP3Side                  -          no
+  0x923f   StoNits                   -          no
+  0x927c   MakerNoteApple            ExifIFD    Apple
+           MakerNoteNikon            ExifIFD    Nikon
+           MakerNoteCanon            ExifIFD    Canon
            MakerNoteCasio            ExifIFD    Casio
            MakerNoteCasio2           ExifIFD    Casio Type2
+           MakerNoteDJI              ExifIFD    DJI
+           MakerNoteFLIR             ExifIFD    FLIR
            MakerNoteFujiFilm         ExifIFD    FujiFilm
            MakerNoteGE               ExifIFD    GE
            MakerNoteGE2              ExifIFD    FujiFilm
+           MakerNoteHasselblad       ExifIFD    Unknown
            MakerNoteHP               ExifIFD    HP
            MakerNoteHP2              ExifIFD    HP Type2
@@ -539,6 +639,9 @@
            MakerNoteKodak8a          ExifIFD    Kodak Type8
            MakerNoteKodak8b          ExifIFD    Kodak Type8
+           MakerNoteKodak8c          ExifIFD    Kodak Type8
            MakerNoteKodak9           ExifIFD    Kodak Type9
            MakerNoteKodak10          ExifIFD    Kodak Type10
+           MakerNoteKodak11          ExifIFD    Kodak Type11
+           MakerNoteKodak12          ExifIFD    Kodak Type11
            MakerNoteKodakUnknown     ExifIFD    Kodak Unknown
            MakerNoteKyocera          ExifIFD    Unknown
@@ -546,7 +649,8 @@
            MakerNoteMinolta2         ExifIFD    Olympus
            MakerNoteMinolta3         ExifIFD    undef
-           MakerNoteNikon            ExifIFD    Nikon
+           MakerNoteMotorola         ExifIFD    Motorola
            MakerNoteNikon2           ExifIFD    Nikon Type2
            MakerNoteNikon3           ExifIFD    Nikon
+           MakerNoteNintendo         ExifIFD    Nintendo
            MakerNoteOlympus          ExifIFD    Olympus
            MakerNoteOlympus2         ExifIFD    Olympus
@@ -557,6 +661,11 @@
            MakerNoteLeica5           ExifIFD    Panasonic Leica5
            MakerNoteLeica6           ExifIFD    Panasonic Leica6
+           MakerNoteLeica7           ExifIFD    Panasonic Leica6
+           MakerNoteLeica8           ExifIFD    Panasonic Leica5
+           MakerNoteLeica9           ExifIFD    Panasonic Leica9
+           MakerNoteLeica10          ExifIFD    Panasonic
            MakerNotePanasonic        ExifIFD    Panasonic
            MakerNotePanasonic2       ExifIFD    Panasonic Type2
+           MakerNotePanasonic3       ExifIFD    Panasonic
            MakerNotePentax           ExifIFD    Pentax
            MakerNotePentax2          ExifIFD    Pentax Type2
@@ -564,10 +673,15 @@
            MakerNotePentax4          ExifIFD    Pentax Type4
            MakerNotePentax5          ExifIFD    Pentax
-           MakerNotePhaseOne         ExifIFD    undef
+           MakerNotePentax6          ExifIFD    Pentax S1
+           MakerNotePhaseOne         ExifIFD    PhaseOne
            MakerNoteReconyx          ExifIFD    Reconyx
+           MakerNoteReconyx2         ExifIFD    Reconyx Type2
+           MakerNoteReconyx3         ExifIFD    Reconyx Type3
+           MakerNoteRicohPentax      ExifIFD    Pentax
            MakerNoteRicoh            ExifIFD    Ricoh
+           MakerNoteRicoh2           ExifIFD    Ricoh Type2
            MakerNoteRicohText        ExifIFD    Ricoh Text
            MakerNoteSamsung1a        ExifIFD    undef
-           MakerNoteSamsung1b        ExifIFD    Samsung Type1
+           MakerNoteSamsung1b        ExifIFD    Samsung
            MakerNoteSamsung2         ExifIFD    Samsung Type2
            MakerNoteSanyo            ExifIFD    Sanyo
@@ -578,8 +692,10 @@
            MakerNoteSony2            ExifIFD    Olympus
            MakerNoteSony3            ExifIFD    Olympus
-           MakerNoteSony4            ExifIFD    Sony
+           MakerNoteSony4            ExifIFD    Sony PIC
+           MakerNoteSony5            ExifIFD    Sony
            MakerNoteSonyEricsson     ExifIFD    Sony Ericsson
            MakerNoteSonySRF          ExifIFD    Sony SRF
            MakerNoteUnknownText      ExifIFD    undef
+           MakerNoteUnknownBinary    ExifIFD    undef
            MakerNoteUnknown          ExifIFD    Unknown
   0x9286   UserComment               ExifIFD    undef
@@ -587,8 +703,14 @@
   0x9291   SubSecTimeOriginal        ExifIFD    string
   0x9292   SubSecTimeDigitized       ExifIFD    string
-  0x932f   MSDocumentText            -          N
-  0x9330   MSPropertySetStorage      -          N
-  0x9331   MSDocumentTextPosition    -          N
-  0x935c   ImageSourceData           IFD0       undef!
+  0x932f   MSDocumentText            -          no
+  0x9330   MSPropertySetStorage      -          no
+  0x9331   MSDocumentTextPosition    -          no
+  0x935c   ImageSourceData           IFD0       Photoshop DocumentData
+  0x9400   AmbientTemperature        ExifIFD    rational64s
+  0x9401   Humidity                  ExifIFD    rational64u
+  0x9402   Pressure                  ExifIFD    rational64u
+  0x9403   WaterDepth                ExifIFD    rational64s
+  0x9404   Acceleration              ExifIFD    rational64u
+  0x9405   CameraElevationAngle      ExifIFD    rational64s
   0x9c9b   XPTitle                   IFD0       int8u
   0x9c9c   XPComment                 IFD0       int8u
@@ -602,16 +724,20 @@
   0xa004   RelatedSoundFile          ExifIFD    string
   0xa005   InteropOffset             -          EXIF
-  0xa20b   FlashEnergy               ExifIFD    rational64u[n]
-  0xa20c   SpatialFrequencyResponse  -          N
-  0xa20d   Noise                     -          N
+  0xa010   SamsungRawPointersOffset  -          no
+  0xa011   SamsungRawPointersLength  -          no
+  0xa101   SamsungRawByteOrder       -          no
+  0xa102   SamsungRawUnknown?        -          no
+  0xa20b   FlashEnergy               ExifIFD    rational64u
+  0xa20c   SpatialFrequencyResponse  -          no
+  0xa20d   Noise                     -          no
   0xa20e   FocalPlaneXResolution     ExifIFD    rational64u
   0xa20f   FocalPlaneYResolution     ExifIFD    rational64u
   0xa210   FocalPlaneResolutionUnit  ExifIFD    int16u
-  0xa211   ImageNumber               -          N
-  0xa212   SecurityClassification    -          N
-  0xa213   ImageHistory              -          N
+  0xa211   ImageNumber               -          no
+  0xa212   SecurityClassification    -          no
+  0xa213   ImageHistory              -          no
   0xa214   SubjectLocation           ExifIFD    int16u[2]
   0xa215   ExposureIndex             ExifIFD    rational64u
-  0xa216   TIFF-EPStandardID         -          N
+  0xa216   TIFF-EPStandardID         -          no
   0xa217   SensingMethod             ExifIFD    int16u
   0xa300   FileSource                ExifIFD    undef
@@ -628,5 +754,5 @@
   0xa409   Saturation                ExifIFD    int16u
   0xa40a   Sharpness                 ExifIFD    int16u
-  0xa40b   DeviceSettingDescription  -          N
+  0xa40b   DeviceSettingDescription  -          no
   0xa40c   SubjectDistanceRange      ExifIFD    int16u
   0xa420   ImageUniqueID             ExifIFD    string
@@ -637,45 +763,52 @@
   0xa434   LensModel                 ExifIFD    string
   0xa435   LensSerialNumber          ExifIFD    string
-  0xa480   GDALMetadata              -          N
-  0xa481   GDALNoData                -          N
+  0xa460   CompositeImage            ExifIFD    int16u
+  0xa461   CompositeImageCount       ExifIFD    int16u[2]
+  0xa462   CompositeImageExposureTimes ExifIFD  undef
+  0xa480   GDALMetadata              IFD0       string
+  0xa481   GDALNoData                IFD0       string
   0xa500   Gamma                     ExifIFD    rational64u
-  0xafc0   ExpandSoftware            -          N
-  0xafc1   ExpandLens                -          N
-  0xafc2   ExpandFilm                -          N
-  0xafc3   ExpandFilterLens          -          N
-  0xafc4   ExpandScanner             -          N
-  0xafc5   ExpandFlashLamp           -          N
-  0xbc01   PixelFormat               -          N
-  0xbc02   Transformation            -          N
-  0xbc03   Uncompressed              -          N
-  0xbc04   ImageType                 -          N
-  0xbc80   ImageWidth                -          N
-  0xbc81   ImageHeight               -          N
-  0xbc82   WidthResolution           -          N
-  0xbc83   HeightResolution          -          N
-  0xbcc0   ImageOffset               -          N
-  0xbcc1   ImageByteCount            -          N
-  0xbcc2   AlphaOffset               -          N
-  0xbcc3   AlphaByteCount            -          N
-  0xbcc4   ImageDataDiscard          -          N
-  0xbcc5   AlphaDataDiscard          -          N
-  0xc427   OceScanjobDesc            -          N
-  0xc428   OceApplicationSelector    -          N
-  0xc429   OceIDNumber               -          N
-  0xc42a   OceImageLogic             -          N
-  0xc44f   Annotations               -          N
+  0xafc0   ExpandSoftware            -          no
+  0xafc1   ExpandLens                -          no
+  0xafc2   ExpandFilm                -          no
+  0xafc3   ExpandFilterLens          -          no
+  0xafc4   ExpandScanner             -          no
+  0xafc5   ExpandFlashLamp           -          no
+  0xb4c3   HasselbladRawImage        -          no
+  0xbc01   PixelFormat               -          no
+  0xbc02   Transformation            -          no
+  0xbc03   Uncompressed              -          no
+  0xbc04   ImageType                 -          no
+  0xbc80   ImageWidth                -          no
+  0xbc81   ImageHeight               -          no
+  0xbc82   WidthResolution           -          no
+  0xbc83   HeightResolution          -          no
+  0xbcc0   ImageOffset               -          no
+  0xbcc1   ImageByteCount            -          no
+  0xbcc2   AlphaOffset               -          no
+  0xbcc3   AlphaByteCount            -          no
+  0xbcc4   ImageDataDiscard          -          no
+  0xbcc5   AlphaDataDiscard          -          no
+  0xc427   OceScanjobDesc            -          no
+  0xc428   OceApplicationSelector    -          no
+  0xc429   OceIDNumber               -          no
+  0xc42a   OceImageLogic             -          no
+  0xc44f   Annotations               -          no
   0xc4a5   PrintIM                   IFD0       PrintIM
-  0xc580   USPTOOriginalContentType  -          N
+  0xc51b   HasselbladExif            -          no
+  0xc573   OriginalFileName          -          no
+  0xc580   USPTOOriginalContentType  -          no
+  0xc5e0   CR2CFAPattern             -          no
   0xc612   DNGVersion                IFD0       int8u[4]!
   0xc613   DNGBackwardVersion        IFD0       int8u[4]!
   0xc614   UniqueCameraModel         IFD0       string
   0xc615   LocalizedCameraModel      IFD0       string
-  0xc616   CFAPlaneColor             -          N
-  0xc617   CFALayout                 -          N
-  0xc618   LinearizationTable        -          N
+  0xc616   CFAPlaneColor             SubIFD     no
+  0xc617   CFALayout                 SubIFD     no
+  0xc618   LinearizationTable        SubIFD     int16u[n]!
   0xc619   BlackLevelRepeatDim       SubIFD     int16u[2]!
   0xc61a   BlackLevel                SubIFD     rational64u[n]!
-  0xc61b   BlackLevelDeltaH          -          N
-  0xc61c   BlackLevelDeltaV          -          N
+  0xc61b   BlackLevelDeltaH          SubIFD     rational64s[n]!
+  0xc61c   BlackLevelDeltaV          SubIFD     rational64s[n]!
   0xc61d   WhiteLevel                SubIFD     int32u[n]!
   0xc61e   DefaultScale              SubIFD     rational64u[2]!
@@ -701,19 +834,21 @@
   0xc632   AntiAliasStrength         SubIFD     rational64u!
   0xc633   ShadowScale               IFD0       rational64u!
-  0xc634   SR2Private                -          Sony SR2Private
-           DNGAdobeData              -          DNG AdobeData
-           MakerNotePentax           -          Pentax
-           DNGPrivateData            -          N
+  0xc634   SR2Private                IFD0       Sony SR2Private
+           DNGAdobeData              IFD0       DNG AdobeData
+           MakerNotePentax           IFD0       Pentax
+           MakerNotePentax5          IFD0       Pentax
+           MakerNoteRicohPentax      IFD0       Pentax
+           DNGPrivateData            IFD0       int8u!
   0xc635   MakerNoteSafety           IFD0       int16u
-  0xc640   RawImageSegmentation      -          N
+  0xc640   RawImageSegmentation      -          no
   0xc65a   CalibrationIlluminant1    IFD0       int16u!
   0xc65b   CalibrationIlluminant2    IFD0       int16u!
   0xc65c   BestQualityScale          SubIFD     rational64u!
   0xc65d   RawDataUniqueID           IFD0       int8u[16]!
-  0xc660   AliasLayerMetadata        -          N
+  0xc660   AliasLayerMetadata        -          no
   0xc68b   OriginalRawFileName       IFD0       string!
   0xc68c   OriginalRawFileData       IFD0       DNG OriginalRaw
   0xc68d   ActiveArea                SubIFD     int32u[4]!
-  0xc68e   MaskedAreas               SubIFD     int32u[4]!
+  0xc68e   MaskedAreas               SubIFD     int32u[n]!
   0xc68f   AsShotICCProfile          IFD0       ICC_Profile
   0xc690   AsShotPreProfileMatrix    IFD0       rational64s[n]!
@@ -721,9 +856,10 @@
   0xc692   CurrentPreProfileMatrix   IFD0       rational64s[n]!
   0xc6bf   ColorimetricReference     IFD0       int16u!
+  0xc6c5   SRawType                  IFD0       no
   0xc6d2   PanasonicTitle            IFD0       undef
   0xc6d3   PanasonicTitle2           IFD0       undef
   0xc6f3   CameraCalibrationSig      IFD0       string!
   0xc6f4   ProfileCalibrationSig     IFD0       string!
-  0xc6f5   ProfileIFD                -          EXIF
+  0xc6f5   ProfileIFD                IFD0       EXIF
   0xc6f6   AsShotProfileName         IFD0       string!
   0xc6f7   NoiseReductionApplied     SubIFD     rational64u!
@@ -743,16 +879,39 @@
   0xc71a   PreviewColorSpace         IFD0       int32u!
   0xc71b   PreviewDateTime           IFD0       string!
-  0xc71c   RawImageDigest            IFD0       int8u!
-  0xc71d   OriginalRawFileDigest     IFD0       int8u!
-  0xc71e   SubTileBlockSize          -          N
-  0xc71f   RowInterleaveFactor       -          N
+  0xc71c   RawImageDigest            IFD0       int8u[16]!
+  0xc71d   OriginalRawFileDigest     IFD0       int8u[16]!
+  0xc71e   SubTileBlockSize          -          no
+  0xc71f   RowInterleaveFactor       -          no
   0xc725   ProfileLookTableDims      IFD0       int32u[3]!
   0xc726   ProfileLookTableData      IFD0       float[n]!
-  0xc740   OpcodeList1               -          N
-  0xc741   OpcodeList2               -          N
-  0xc74e   OpcodeList3               -          N
-  0xc761   NoiseProfile              -          N
-  0xea1c   Padding                   ExifIFD    undef
-  0xea1d   OffsetSchema              ExifIFD    int32s
+  0xc740   OpcodeList1               SubIFD     undef!
+  0xc741   OpcodeList2               SubIFD     undef!
+  0xc74e   OpcodeList3               SubIFD     undef!
+  0xc761   NoiseProfile              SubIFD     double[n]!
+  0xc763   TimeCodes                 IFD0       int8u[n]
+  0xc764   FrameRate                 IFD0       rational64s
+  0xc772   TStop                     IFD0       rational64u[n]
+  0xc789   ReelName                  IFD0       string
+  0xc791   OriginalDefaultFinalSize  IFD0       int32u[2]!
+  0xc792   OriginalBestQualitySize   IFD0       int32u[2]!
+  0xc793   OriginalDefaultCropSize   IFD0       rational64u[2]!
+  0xc7a1   CameraLabel               IFD0       string
+  0xc7a3   ProfileHueSatMapEncoding  IFD0       int32u!
+  0xc7a4   ProfileLookTableEncoding  IFD0       int32u!
+  0xc7a5   BaselineExposureOffset    IFD0       rational64s!
+  0xc7a6   DefaultBlackRender        IFD0       int32u!
+  0xc7a7   NewRawImageDigest         IFD0       int8u[16]!
+  0xc7a8   RawToPreviewGain          IFD0       double!
+  0xc7aa   CacheVersion              SubIFD2    int32u!
+  0xc7b5   DefaultUserCrop           SubIFD     rational64u[4]!
+  0xc7d5   NikonNEFInfo              -          Nikon NEFInfo
+  0xc7e9   DepthFormat               IFD0       int16u!
+  0xc7ea   DepthNear                 IFD0       rational64u!
+  0xc7eb   DepthFar                  IFD0       rational64u!
+  0xc7ec   DepthUnits                IFD0       int16u!
+  0xc7ed   DepthMeasureType          IFD0       int16u!
+  0xc7ee   EnhanceParams             IFD0       string!
+  0xea1c   Padding                   ExifIFD    undef!
+  0xea1d   OffsetSchema              ExifIFD    int32s!
   0xfde8   OwnerName                 ExifIFD    string/
   0xfde9   SerialNumber              ExifIFD    string/
@@ -776,12 +935,12 @@
 Council (IPTC) and the Newspaper Association of America (NAA) Information
 Interchange Model (IIM).  This is an older meta information format, slowly
-being phased out in favor of XMP.  (In fact, the newer IPTCCore
-specification actually uses XMP format!)  IPTC information may be embedded
-in JPG, TIFF, PNG, MIFF, PS, PDF, PSD, XCF and DNG images.
+being phased out in favor of XMP -- the newer IPTCCore specification uses
+XMP format.  IPTC information may be found in JPG, TIFF, PNG, MIFF, PS, PDF,
+PSD, XCF and DNG images.
 
 IPTC information is separated into different records, each of which has its
 own set of tags.  See
 L<http://www.iptc.org/std/IIM/4.1/specification/IIMV4.1.pdf> for the
-official specification.
+official IPTC IIM specification.
 
 This specification dictates a length for ASCII (C<string> or C<digits>) and
